#include <fstream>
using namespace std;
int nt(long long m)
{
	int b;
	if (m<2)
	return 0;
	if (m==2)
	return 1;
	else
	for (b=2;b<m;b++)
	{
		if (m%b==0)
		return 0;
	}
	return 1;
}
int main ()
{
	ifstream f("DQNT.inp");
	ofstream g("DQNT.out");
	long long n,a[99999],dem=0;
	int i;
	f>>n;
	for (i=1;i<=n;i++)
	{ f>>a[i]; }
	for (i=1;i<=n;i++)
	{
		if (nt(a[i])==1)
		{
		dem++;
		g<<a[i]<<' ';
		}
	}
	if (dem==0)
	g<<"-1";
	f.close();
	g.close();
}
